from django.contrib import admin
from .models import *


@admin.register(Account)
class AccountAdmin(admin.ModelAdmin):
    # fields = ['name', 'surname', 'phone', 'email', 'register_datetime']
    list_display = ['id', 'name', 'surname', 'role', 'phone', 'register_datetime']
    readonly_fields = ['id', 'register_datetime']


@admin.register(ExecutorAccount)
class ExecutorAccountAdmin(admin.ModelAdmin):
    # fields = ['name', 'surname', 'phone', 'email', 'register_datetime']
    # list_display = ['name', 'surname', 'phone', 'register_datetime']
    # readonly_fields = ['register_datetime']
    pass


@admin.register(AccessToken)
class AccessTokenAdmin(admin.ModelAdmin):
    readonly_fields = ['id', 'access_token']
    list_display = ['id', 'user', 'creation_time', 'small_access_token']
    fields = ['user', 'creation_time', 'access_token']
    ordering = ['-creation_time']

    def small_access_token(self, obj):
        return f"{obj.access_token[:8]}..."


@admin.register(City)
class CityAdmin(admin.ModelAdmin):
    list_display = ['code', 'name']
    ordering = ['name']


@admin.register(Order)
class OrderAdmin(admin.ModelAdmin):
    list_display = ['owner', 'phone', 'name', 'create_time', 'moderated', 'published']
    readonly_fields = ['create_time']
#
#
# @admin.register(OrderImage)
# class OrderImageAdmin(admin.ModelAdmin):
#     pass
#
#
# @admin.register(OrderRespond)
# class OrderRespondAdmin(admin.ModelAdmin):
#     pass
