# Generated by Django 4.1.2 on 2022-11-06 15:33

import datetime
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0009_city_account_city'),
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Название заказа')),
                ('description', models.TextField(blank=True, verbose_name='Описание')),
                ('square', models.DecimalField(decimal_places=2, max_digits=7, verbose_name='Площадь в м²')),
                ('work_time', models.CharField(blank=True, max_length=100, verbose_name='Рабочее время')),
                ('type_of_renovation', models.CharField(blank=True, choices=[('', 'Не определено'), ('overhaul', 'Капитальный'), ('partial', 'Частичный'), ('redecor', 'Косметический'), ('premium', 'Премиальный'), ('design', 'Дизайнерский')], default='', max_length=10, verbose_name='Тип ремонта')),
                ('type_of_house', models.CharField(blank=True, choices=[('block', 'Блочный'), ('brick', 'Кирпичный'), ('monolith', 'Монолит'), ('panel', 'Панельный')], default='', max_length=10, verbose_name='Тип дома')),
                ('type_of_room', models.CharField(blank=True, choices=[('primary', 'Первичка'), ('secondary', 'Вторичка')], default='', max_length=10, verbose_name='Тип квартиры')),
                ('purchase_of_material', models.CharField(blank=True, choices=[('executor', 'Исполнитель'), ('customer', 'Заказчик')], default='', max_length=10, verbose_name='Закуп материала')),
                ('type_of_executor', models.CharField(blank=True, choices=[('individual', 'Самозанятый/бригада'), ('company', 'Компания')], default='', max_length=10, verbose_name='Тип исполнителя')),
                ('is_with_warranty', models.BooleanField(default=True, verbose_name='С гарантией')),
                ('is_with_contract', models.BooleanField(default=False, verbose_name='Работа по договору')),
                ('is_require_design', models.BooleanField(default=False, verbose_name='Требуется дизайн проект')),
                ('is_with_trade', models.BooleanField(default=False, verbose_name='Возможен торг')),
                ('is_with_cleaning', models.BooleanField(default=False, verbose_name='С уборкой')),
                ('is_with_garbage_removal', models.BooleanField(default=False, verbose_name='С вывозом мусора')),
                ('approximate_price', models.DecimalField(decimal_places=2, max_digits=12, verbose_name='Цена')),
                ('date_start', models.DateField(blank=True, default=None, null=True, verbose_name='Дата начала')),
                ('date_end', models.DateField(blank=True, default=None, null=True, verbose_name='Дата окончания')),
                ('address_text', models.CharField(blank=True, max_length=70, verbose_name='Улица, дом')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email')),
                ('phone', models.CharField(blank=True, max_length=16, null=True, validators=[django.core.validators.RegexValidator(regex='^\\+7[0-9]{10}$')], verbose_name='Телефон')),
                ('create_time', models.DateTimeField(default=datetime.datetime.now, editable=False, verbose_name='Время создания')),
                ('moderated', models.BooleanField(default=True, verbose_name='Модерирован')),
                ('published', models.BooleanField(default=False, verbose_name='Опубликован')),
                ('address_city', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='address_city', to='api.city', verbose_name='Город')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='owner', to='api.account', verbose_name='Владелец')),
            ],
        ),
    ]
